Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.session.impl
Class SessionManagerImpl

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.session.impl.SessionManagerImpl

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>, EventListener, org.springframework.context.ApplicationContextAware, org.springframework.context.ApplicationListener

    public class SessionManagerImpl

extends Object
implements edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>, org.springframework.context.ApplicationContextAware, org.springframework.context.ApplicationListener

Manager of IdP sessions.

Constructor Summary
`SessionManagerImpl(org.opensaml.util.storage.StorageService<String,SessionManagerEntry> storageService, long lifetime)` Constructor.
`SessionManagerImpl(org.opensaml.util.storage.StorageService<String,SessionManagerEntry> storageService, String storageParition, long lifetime)` Constructor.

Method Summary
`Session` | `createSession()`
`Session` | `createSession(String principal)`
`void` | `destroySession(String sessionID)`
`Session` | `getSession(String sessionID)`
`boolean` | `indexSession(Session session, String index)`
`void` | `onApplicationEvent(org.springframework.context.ApplicationEvent event)`
`void` | `removeSessionIndex(String index)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionManagerImpl

    public SessionManagerImpl(org.opensaml.util.storage.StorageService<String,SessionManagerEntry> storageService,
                              long lifetime)

  Constructor.

  Parameters:
    `storageService` - service used to store sessions
    `lifetime` - lifetime, in milliseconds, of sessions

### SessionManagerImpl

    public SessionManagerImpl(org.opensaml.util.storage.StorageService<String,SessionManagerEntry> storageService,
                              String storageParition,
                              long lifetime)

  Constructor.

  Parameters:
    `storageService` - service used to store session
    `storageParition` - partition in which sessions are stored
    `lifetime` - lifetime, in milliseconds, of sessions

Method Detail

### createSession

    public Session createSession()

  Specified by:
    `createSession` in interface `edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>`

### createSession

    public Session createSession(String principal)

  Specified by:
    `createSession` in interface `edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>`

### destroySession

    public void destroySession(String sessionID)

  Specified by:
    `destroySession` in interface `edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>`

### getSession

    public Session getSession(String sessionID)

  Specified by:
    `getSession` in interface `edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>`

### indexSession

    public boolean indexSession(Session session,
                                String index)

  Specified by:
    `indexSession` in interface `edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>`

### onApplicationEvent

    public void onApplicationEvent(org.springframework.context.ApplicationEvent event)

  Specified by:
    `onApplicationEvent` in interface `org.springframework.context.ApplicationListener`

### removeSessionIndex

    public void removeSessionIndex(String index)

  Specified by:
    `removeSessionIndex` in interface `edu.internet2.middleware.shibboleth.common.session.SessionManager<Session>`

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2008 Internet2. All Rights Reserved.